Bug 218337 - ethtool doesn't work with Xen
ethtool doesn't work with Xen
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-12-04 14:12 EST by David Juran
Modified: 2008-01-08 07:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 07:21:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2006-12-04 14:12:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061105 Red Hat/1.5.0.8-0.1.el4 Firefox/1.5.0.8 pango-text

Description of problem:
I have a NIC using the tg3 driver. When I boot the machine with the Xen kernel ethtool will only report link status when ran in Dom0. 

[root@hat ~]# uname -a
Linux hat.netact.noklab.net 2.6.18-1.2849.fc6xen #1 SMP Fri Nov 10 12:57:36 EST 2006 x86_64 x86_64 x86_64 GNU/Linux
[root@hat ~]# ethtool eth0
Settings for eth0:
        Link detected: yes

Rebooting with the "standard" kernel gives me all the other settings as well.

[root@hat ~]# uname -a
Linux hat.netact.noklab.net 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:34:46 EST 2006 x86_64 x86_64 x86_64 GNU/Linux
[root@hat ~]# ethtool eth0
Settings for eth0:
        Supported ports: [ MII ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Half 1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Half 1000baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: g
        Wake-on: d
        Current message level: 0x000000ff (255)
        Link detected: yes

The NIC is a Broadcom Corporation NetXtreme BCM5704 Gigabit Ethernet (rev 10) pciid: 14e4:1648



Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2849.fc6

How reproducible:
Always


Steps to Reproduce:
1. Boot the Xen kernel
2. ethtool eth0


Actual Results:


Expected Results:


Additional info:
Comment 1 Jon Stanley 2008-01-07 20:47:17 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 David Juran 2008-01-08 07:21:24 EST
Closing as NOTABUG. I got confused by eth0 no longer being the physical
interface in DOM0. So the correct thing to do is to run "ethtool peth0" which
works fine. If anyone is interested, Bug 209996 is about NetworkManager testing
the wrong interface in DOM0

Note You need to log in before you can comment on or make changes to this bug.